> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channels

> Retrieves a list of channels according to any specified filter criteria and sort options. All orders include a channel association that enables the company to perform financial reporting for each defined channel. Because channels are managed at the tenant level, you must associate all the tenant's sites with a channel. Sites that do not have a defined channel association cannot successfully submit orders.



## OpenAPI

````yaml /openapi/openapi_commerce.json get /commerce/channels
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/channels:
    get:
      tags:
        - Channel
      summary: Get Channels
      description: >-
        Retrieves a list of channels according to any specified filter criteria
        and sort options. All orders include a channel association that enables
        the company to perform financial reporting for each defined channel.
        Because channels are managed at the tenant level, you must associate all
        the tenant's sites with a channel. Sites that do not have a defined
        channel association cannot successfully submit orders.
      parameters:
        - description: "Used to page results from a query. Indicates the zero-based offset in the complete result set where the returned entities begin. \r\n            For example, with a PageSize of 25, to get the 51st through the 75th items, startIndex=50. The default value is 0. Optional."
          in: query
          name: startIndex
          schema:
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a query. The default value is 20 and the
            maximum value is 200. Optional.
          in: query
          name: pageSize
          schema:
            format: int32
            type: integer
        - description: >-
            The element to sort the results by and the channel in which the
            results appear. Either ascending (a-z) or descending (z-a) channel.
            Optional.
          in: query
          name: sortBy
          schema:
            type: string
        - description: "A set of filter expressions representing the search parameters for a query: eq=equals, ne=not equals, gt=greater than, lt = less than or equals, \r\n            gt = greater than or equals, lt = less than or equals, sw = starts with, or cont = contains. Optional."
          in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/ChannelCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/ChannelCollection'
          description: Success
components:
  schemas:
    ChannelCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Channel'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    Channel:
      description: Channel used to group sites for commerce purposes.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          description: Code to uniquely identify the channel.
          nullable: true
          type: string
        countryCode:
          description: Country code of the channel.
          nullable: true
          type: string
        groupCode:
          description: >-
            Code to uniquely identify the channel group, if any that contains
            this channel.
          nullable: true
          type: string
        name:
          description: Friendly name of the channel.
          nullable: true
          type: string
        region:
          description: Region of the channel.
          nullable: true
          type: string
        siteIds:
          description: A list of site Id's that this channel contains.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        tenantId:
          description: Tenant that owns the channel.
          format: int32
          type: integer
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````